API Reference
Read a compact editor snapshot with timeline captions and style.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Query Parameters
offset?integer
Range
0 <= value <= 9007199254740991Default
0limit?integer
Range
1 <= value <= 200Default
200expected_revision?integer
Range
0 <= value <= 9007199254740991Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/editor-snapshot"{ "document": { "version": 1, "projectId": "string", "revision": 0, "name": "string", "aspectRatio": "string", "canvasWidth": 1, "canvasHeight": 1, "fps": 1, "durationSeconds": 0, "backgroundColor": "string", "items": [ { "id": "string", "type": "string", "contentType": "string", "contentItemId": "string", "captionId": "string", "mediaAssetId": "string", "parentGroupId": "string", "label": "string", "text": "string", "startSeconds": 0, "endSeconds": 0, "trimStartSeconds": 0, "trimEndSeconds": 0, "layerIndex": -9007199254740991, "ignored": true, "isSilentZone": true, "isMistake": true, "volume": 0, "audioFadeInSeconds": 0, "audioFadeOutSeconds": 0, "positionX": 0, "positionY": 0, "widthPx": 0, "heightPx": 0, "keepAspectRatio": true, "blurredBackground": true, "sourceView": { "sourceAssetId": "string", "sourceStartSeconds": 0, "sourceEndSeconds": 0, "sourceCropX": 0, "sourceCropY": 0, "sourceCropWidth": 0, "sourceCropHeight": 0, "canvasX": 0, "canvasY": 0, "canvasWidth": 0, "canvasHeight": 0, "fitMode": "cover", "maskShape": "string", "maskRadius": 0, "syncGroupId": "string", "plannerMode": "string", "plannerMetadata": { "property1": null, "property2": null } }, "keyframes": [ { "property1": null, "property2": null } ], "properties": { "property1": null, "property2": null } } ], "media": [ { "id": "string", "assetType": "string", "audioType": "string", "fileUrl": "string", "streamingUrl": "string", "thumbnailUrl": "string", "waveformPeaks": [ 0 ], "sourceWidth": 0, "sourceHeight": 0 } ], "tracks": [ { "layerIndex": -9007199254740991, "label": "string", "itemIds": [ "string" ] } ], "bounds": { "offset": 0, "limit": 1, "total": 0, "returned": 0, "hasMore": true, "truncated": true } }, "preparedFor": "string", "captions": [ { "captionId": "string", "text": "string", "startSeconds": 0, "endSeconds": 0, "words": [ { "id": "string", "text": "string", "orderIndex": 0, "startSeconds": 0, "endSeconds": 0, "paragraphIndex": 0, "isEmphasis": true, "style": { "property1": null, "property2": null } } ] } ], "captionStyle": { "property1": null, "property2": null }, "captionLookId": "string"}